| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
tif_zip.c File Reference
`#include "tiffiop.h"`
`#include "tif_predict.h"`
`#include "zlib.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Classes
struct | ZIPState

## Macros
#define | ZSTATE_INIT_DECODE 0x01
#define | ZSTATE_INIT_ENCODE 0x02
#define | ZState(tif) ((ZIPState*) (tif)->tif_data)
#define | DecoderState(tif) ZState(tif)
#define | EncoderState(tif) ZState(tif)

## Functions
int | TIFFInitZIP (TIFF *tif, int scheme)

## Macro Definition Documentation

#define DecoderState | ( |  | tif | ) | ZState(tif)

Definition at line 81 of file tif_zip.c.

#define EncoderState | ( |  | tif | ) | ZState(tif)

Definition at line 82 of file tif_zip.c.

#define ZState | ( |  | tif | ) | ((ZIPState*) (tif)->tif_data)

Definition at line 80 of file tif_zip.c.

#define ZSTATE_INIT_DECODE 0x01

Definition at line 73 of file tif_zip.c.

#define ZSTATE_INIT_ENCODE 0x02

Definition at line 74 of file tif_zip.c.

## Function Documentation

int TIFFInitZIP | ( | TIFF * | tif,
|  | int | scheme
| ) |  |

Definition at line 343 of file tif_zip.c.